DATA_NAME="ADNI"
CODE_PATH="$HOME/Code"
DATA_PATH="$HOME/Data/$DATA_NAME"
TMP_DIR="/tmp"
NUM_JOBS=26
RESOLUTION=128
export PYTHONPATH=$CODE_PATH
set -e
echo "Running all anonymization methods on ${DATA_NAME}..."
python $CODE_PATH/traditional_anonymization_methods/deface.py --nifti_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_$RESOLUTION --tmp_dir $TMP_DIR --num_jobs $NUM_JOBS
python $CODE_PATH/traditional_anonymization_methods/mri_watershed.py --nifti_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_$RESOLUTION --num_jobs $NUM_JOBS
python $CODE_PATH/traditional_anonymization_methods/quickshear.py --nifti_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_$RESOLUTION --mask_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_Robex_$RESOLUTION --num_jobs $NUM_JOBS
python $CODE_PATH/traditional_anonymization_methods/face_mask.py --analyze_dir $DATA_PATH/${DATA_NAME}_ANALYZE_PT_$RESOLUTION --num_jobs $NUM_JOBS
