[[ -z "$1" ]] && echo "Dataset was not specified!" && exit 1
dataset="$1"
DEVICE="${2:-0}"
for i in $(seq 1 100)
do
  echo "$i"
   /home/anonymized_user/.conda/envs/neo/bin/python algorithmic_deidentification/train_pairwise.py \
        --config_fname algorithmic_deidentification/config.yml \
        --data_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/MRI_Ident.h5" \
        --train_index_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/example_train_ids_${i}.dat" \
        --test_index_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/example_test_ids_${i}.dat" \
        --subject_axis_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/subject_axis.dat" \
        --example_axis_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/example_axis.dat" \
        --output_fname "/home/anonymized_user/Data/${dataset}/ALGO_IDENT/results_${i}.dat" \
        --device "$DEVICE"
done
