cd $1
md5_sums="MD5SUM | Directory"$'\n'"--- | ---"
for sub_dir in $(find . -mindepth 1 -maxdepth 1 -type d); do
    md5_output=$(find $sub_dir -type f -exec md5sum {} \; | sort -k 2 | cut -d" " -f1 | md5sum | awk -vv="$(basename $sub_dir)" '{printf "%s | %s", $1, v}')
    md5_sums=$md5_sums$'\n'$md5_output
done
echo "$md5_sums"
